@import 'lib'
@import "color_themes"

#welcome-text
  text-align: center
  font-size: 3em
  color: var(--color-font-weaken)

.countdown-container
  text-align: center

  .countdown.transparent
    color: transparent

  #countdown-running
    width: 100%
    text-align: center
    margin-top: 10px
    font-size: 44px

  #countdown-starting
    font-size: 4em
    line-height: 256px
    height: 256px

    &.countdown-accent
      font-size: 256px
      color: var(--color-font-accent)
      text-shadow: 3px 3px black

#top-container
  display: flex
  flex-flow: row wrap
  justify-content: space-evenly


#container-tables
  display: flex
  flex-flow: row wrap
  justify-content: space-evenly
  padding: 0
  margin: 30px 0 80px

.container-players
  width: calc(50% - 60px)
  box-sizing: border-box


@media all and (max-width: 700px)
  .container-players
    width: calc(100%)
    margin: 0 0 5px 0
    border-width: 0
    border-bottom-width: 2px

@media all and (min-width: 700px)
  .container-players
    width: calc(50% - 60px)
    margin: 0 30px 50px 30px

#control-container
  position: fixed
  bottom: 10px
  right: 10px

  .control-button
    width: 60px
    height: 60px
    margin: 0 10px 0 10px
    background-color: transparent
    border: 2px solid var(--color-border-weaken)
    border-radius: 50%
    background-size: 40px 40px
    background-position: center

    &:hover
      background-color: var(--color-elevation-10)

  #pause-button
    background-image: url("../assets/pause-24px.svg")

  #stop-button
    background-image: url("../assets/stop-24px.svg")
